import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/api-keys/index.ts
function createApiKeysResource(client) {
  return {
    list({ instanceId }) {
      return client.get(`/instances/${instanceId}/api-keys`);
    },
    create(_a) {
      var _b = _a, {
        instanceId
      } = _b, data = __objRest(_b, [
        "instanceId"
      ]);
      return client.post(`/instances/${instanceId}/api-keys`, data);
    },
    get({ instanceId, id }) {
      return client.get(`/instances/${instanceId}/api_keys/${id}`);
    },
    delete({ instanceId, id }) {
      return client.delete(`/instances/${instanceId}/api-keys/${id}`);
    }
  };
}
var init_api_keys = __esm({
  "src/resources/api-keys/index.ts"() {
  }
});

export {
  createApiKeysResource,
  init_api_keys
};
